<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cities</title>
    <script src="cities.js"></script>
</head>
<body>
    <script>
        // Find - leia esimene, mis kvalifitseerub
        // const c1 = cities.find(c => c.name === 'Jämsä')
        const c1 = cities.find(function (c) {
            if (c.name === 'Jämsä') {
                return true
            } else {
                return false
            }
        })
        console.log(c1.population)

        // Filter - leia kõik, mis kvalifitseeruvad
        // const swedCities = cities.filter(c => c.country === 'Sweden')
        const swedCities = cities.filter(function (c) {
            if (c.country === 'Sweden') {
                return true
            } else {
                return false
            }
        })
        console.log(swedCities)

        // Some - kas vähemalt üks kvalifitseerub (true, false)
        // const anyBigCities = cities.some(c => c.population >= 100000)
        const anyBigCities = cities.some(function (c)  {
            if (c.population >= 100000) {
                return true
            } else {
                return false
            }
        })
        console.log(anyBigCities)

        // Every - kas kõik elemendid kvalifitseeruvad (true, false)
        const allBigCities = cities.every(c => c.population >= 100000)
        console.log(allBigCities)


        // Map - vii elemendid teisele kujule
        const cityNames = cities.map(c => c.name)
        console.log(cityNames)

    </script>
</body>
</html>